# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialContractGuaranteeSuspensiveCondition(models.Model):
    _name = "financial.contract.guarantee.suspensive.condition"
    _inherit = ["financial.contract.suspensive.condition"]
    _description = "Condition suspensive de garantie"

    contract_id = fields.Many2one(
        comodel_name="financial.contract.guarantee",
        string="Contrat",
        required=True,
        ondelete="cascade",
    )

    # ------------------------------------------------------
    # Constrains functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------
