# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialProductGuaranteeSuspensiveCondition(models.Model):
    _name = "financial.product.guarantee.suspensive.condition"
    _inherit = ["financial.product.suspensive.condition"]
    _description = "Condition suspensive de produit de garantie"

    product_id = fields.Many2one(
        comodel_name="financial.product.template.guarantee",
        string="Produit",
        required=True,
        ondelete="cascade",
    )

    # ------------------------------------------------------
    # Constrains functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------
